Hello,

I just installed ruby 1.6.7 from the nice installer, after removing 
the perviously working 1.6.6 setup.

This time, since I had separately installed Perl, Python, Tcl/Tk from 
ActiveState, I didn't install the Tcl/Tk option, and I also skipped 
SciTE.

I found out that:

(1) I had to manually set the three environment variables Ruby 
examines when looking for Tcl and Tk

(2) OpenGL appears not to be functional (samples quit with the error:

wrap.rbw:50:in `require': No such file to load -- opengl (LoadError)
        from wrap.rbw:50


About (1): would it be possible for the installer to detect other 
Tcl/Tk installations, and then automatically de-select the component 
and set the variables correctly?

About (2): what am I supposed to do?

-- 
Giuseppe "Oblomov" Bilotta

Axiom I of the Giuseppe Bilotta
theory of IT:
Anything is better than MS